﻿@using LAP.Areas.Adviser.Models;
@model ClientAppointment
<div id="action-container">
    <div class="d-flex flex-row-reverse">
        <div>
            <a class="btn btn-xs btn-icon w-5px add-edit-event mr-3"><i class="fas fa-pencil-alt icon-md text-primary"></i></a>
            <a class="btn btn-xs btn-icon delete-event @(Model.Leads != null && Model.Leads.Any() ? "disabled-div has-client-leads":"")"><i class="far fa-trash-alt icon-md text-danger"></i></a>
            <a class="btn btn-xs btn-icon close-event-popover"><i class="ki ki-close icon-nm"></i></a>
        </div>
    </div>
    <hr class="mt-2" />
</div>
<div><span class="font-weight-bolder">Email: </span>@Model.Email</div>
<div><span class="font-weight-bolder">Name: </span>@Model.Name</div>
<div><span class="font-weight-bolder">Subject: </span>@Model.Subject</div>
<div><span class="font-weight-bolder">Start Date & Time: </span>@Convert.ToDateTime(Model.StartDateTime).ToString("MMM dd, yyyy hh:mm tt")</div>
<div><span class="font-weight-bolder">Purpose: </span>@Model.Purpose.GetDisplayName()</div>
<div><span class="font-weight-bolder">Location: </span>@Model.Location</div>
<div><span class="font-weight-bolder">Status: </span>@Model.Status</div>
@if (Model.Purpose == ClientAppointmentPurposeEnum.ClientAdvocate)
{
    <div><span class="font-weight-bolder"># of Leads Generated: </span>@string.Format("{0:N0}", Model.Leads.Count())</div>
}